# Find Strings

Find strings which match a regular expression.

## Motivation

Sometimes it is useful to see find strings which match a regular expression. For example, to see where there is a string which matches a desired file name. There may then be references to that string by objects of interest.

## Arguments

Argument | Description
--- | ---
objects | Optionally limit the search to Strings in this object set. Note that this query does not have to operate on Strings; it will operate on an object which for which Eclipse Memory Analyzer can resolve a class specific name, for example StringBuilder, Integer, URL, etc.
pattern | A regular expression defining which strings match and should be returned by this query.

## Result

A table showing the strings that match the regular expression.